#pragma once

#include <string>
#include <vector>

namespace VWeb {
struct ParameterValue {
  void Add(const std::string &item) { m_Data.push_back(item); }
  void Set(const std::string &item) {
    m_Data.clear();
    m_Data.push_back(item);
  }
  std::string &Get(int item) { return m_Data[item]; }
  std::string &GetFirst() { return Get(0); }
  size_t Size() { return m_Data.size(); }
  std::vector<std::string> &Values() { return m_Data; }

protected:
  std::vector<std::string> m_Data{};
};
}